petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscPushJSONValue

Puts a "key" : "value" pair onto a string

### Synopsis

    PetscErrorCode PetscPushJSONValue(char buff[],const char key[],const char value[],size_t bufflen)

### Input Parameters

| buffer | - the char array where the value will be put
| key | - the key value to be set
| value | - the value associated with the key
| bufflen | - the size of the buffer (currently ignored)

### Notes

Ignores lengths so can cause buffer overflow

### Level

advanced

### Location

src/sys/webclient/client.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages